Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class RtPluginManager

    java.lang.Object
      org.hyperic.hq.product.PluginManager
          org.hyperic.hq.product.RtPluginManager

    public class RtPluginManager

extends PluginManager

Field Summary

Fields inherited from class org.hyperic.hq.product.PluginManager
`log, plugins`

Constructor Summary
`RtPluginManager()`
`RtPluginManager(Properties props)`

Method Summary
`String` | `getName()`
`Collection` | `getTimes(String name, org.hyperic.util.config.ConfigResponse config, Integer svcID, Properties prop, boolean eu, boolean collectIPs)`
`boolean` | `supportsAny(String name)`
`boolean` | `supportsEndUser(String name)`

Methods inherited from class org.hyperic.hq.product.PluginManager
`classNotFoundMessage, createPlugin, createPlugin, createPlugin, getConfigSchema, getConfigSchema, getParent, getPlatformPlugin, getPlatformPlugin, getPlatformPlugins, getPlatformPlugins, getPlugin, getPluginInfo, getPlugins, getPlugins, getProperties, getProperty, getProperty, init, isPropertyEnabled, isPropertyEnabled, isRegistered, mergeConfigSchema, registerPlugin, registerPlugin, registerPlugin, removePlugin, setPluginInfo, shutdown, updatePlugin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RtPluginManager

    public RtPluginManager()

### RtPluginManager

    public RtPluginManager(Properties props)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in class `PluginManager`

### supportsEndUser

    public boolean supportsEndUser(String name)
                            throws PluginNotFoundException

  Throws:
    `PluginNotFoundException`

### supportsAny

    public boolean supportsAny(String name)

### getTimes

    public Collection getTimes(String name,
                               org.hyperic.util.config.ConfigResponse config,
                               Integer svcID,
                               Properties prop,
                               boolean eu,
                               boolean collectIPs)
                        throws PluginNotFoundException,
                               IOException

  Throws:
    `PluginNotFoundException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.